From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-cluster/libqb/
Date: Fri, 3 May 2024 11:55:06 +0000 (UTC) [thread overview]
Message-ID: <1714737219.6b77e756584b035aedf67e85070e578e245e05ea.sam@gentoo> (raw)
commit: 6b77e756584b035aedf67e85070e578e245e05ea
Author: Christopher Fore <csfore <AT> posteo <DOT> net>
AuthorDate: Mon Apr 22 23:30:35 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 3 11:53:39 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b77e756
sys-cluster/libqb: add 2.0.8, security bump
- Bump EAPI 7 -> 8
- Tests pass
Bug: https://bugs.gentoo.org/919157
Signed-off-by: Christopher Fore <csfore <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/36368
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-cluster/libqb/Manifest | 1 +
sys-cluster/libqb/libqb-2.0.8.ebuild | 68 ++++++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/sys-cluster/libqb/Manifest b/sys-cluster/libqb/Manifest
index 7d91d5cc8aa4..9b6eb706a248 100644
--- a/sys-cluster/libqb/Manifest
+++ b/sys-cluster/libqb/Manifest
@@ -1,2 +1,3 @@
DIST libqb-2.0.1.tar.xz 480516 BLAKE2B 402ca20f16a232497c9a363c557556bbdcfffff5d0f075898bf4008bb51b30771f284c29b64421be1dae8215e153b8978ac06c9bd10f3e5e23632b597549d2c7 SHA512 6d989d30b381253c7d7c4ff1e6400ad3445b92184906c859f10d6352dd604a309d7e2d9c8298d8b8d59a0e884e2d821608a39f043db7e96db2118a867ef57672
DIST libqb-2.0.4.tar.xz 504444 BLAKE2B a363a06bcfc34557e634b9be4f625db5b1aba15be89c5d2c7f897ae7c23f229410ce7d697daf6d27364c0cc4c58c13d61db775f8ffe2822673821c2726b7bef0 SHA512 a726b9c1828cbef741ba9c50b9588cbd421637a8fac0d8f4381e2bf6d349cb228935e86f4e8cf409656ef789f4f5c0d096914d7a13637ee1f1e607894349d330
+DIST libqb-2.0.8.tar.xz 521600 BLAKE2B 72566541fa0b528158639f1d561f718dba5ce7c1609b3570e4363dc9da3b20e455a08cee89d9661f946fb647318ee10c19ce470402279d12ffae9ec198da5ff0 SHA512 9db87b248af87d9aa0520bc0045264a5f0a710fd582a16285990685cb8f8b485ba24b774f2ab7eb719bac5ed3bbf3a315696f7191a5fcf7beea33126a4402a09
diff --git a/sys-cluster/libqb/libqb-2.0.8.ebuild b/sys-cluster/libqb/libqb-2.0.8.ebuild
new file mode 100644
index 000000000000..20a1c20cfc33
--- /dev/null
+++ b/sys-cluster/libqb/libqb-2.0.8.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library providing high performance logging, tracing, ipc, and poll"
+HOMEPAGE="https://github.com/ClusterLabs/libqb"
+SRC_URI="https://github.com/ClusterLabs/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/100"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc examples systemd test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/glib:2
+ dev-libs/libxml2"
+DEPEND="${RDEPEND}"
+BDEPEND="app-arch/xz-utils
+ test? ( dev-libs/check )
+ doc? (
+ app-text/doxygen[dot]
+ )"
+
+DOCS=( ChangeLog README.markdown )
+
+PATCHES=()
+
+src_prepare() {
+ default
+
+ # Skip installation of text documents without value
+ sed -e '/dist_doc_DATA/d' -i Makefile.am || die
+
+ # Do not append version suffix "-yank"
+ sed 's|1-yank|1|' -i configure.ac || die
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-static \
+ --with-socket-dir=/run \
+ $(use_enable systemd systemd-journal) \
+ $(use_enable debug)
+}
+
+src_compile() {
+ default
+ use doc && emake doxygen
+}
+
+src_install() {
+ emake install DESTDIR="${D}"
+
+ if use examples ; then
+ docinto examples
+ dodoc examples/*.c
+ fi
+
+ use doc && HTML_DOCS=("docs/html/.")
+ einstalldocs
+
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2024-05-03 11:55 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-03 11:55 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-25 22:57 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/libqb/ Sam James
2024-11-23 20:15 Arthur Zamarin
2024-03-17 6:27 Ionen Wolkens
2024-01-12 8:30 Arthur Zamarin
2023-07-04 22:32 Sam James
2023-07-04 22:23 Sam James
2023-07-04 22:23 Sam James
2021-12-01 11:39 Alexys Jacob
2021-03-20 11:39 David Seifert
2021-02-11 7:45 Sergei Trofimovich
2021-01-14 23:59 Sam James
2021-01-01 23:29 Sam James
2020-11-25 11:40 Thomas Deutschmann
2020-11-23 8:01 Sergei Trofimovich
2020-11-23 7:58 Sergei Trofimovich
2020-11-18 6:55 Agostino Sarubbo
2020-11-15 23:24 David Seifert
2020-10-21 12:59 Alexys Jacob
2020-08-29 17:57 Thomas Deutschmann
2020-08-01 7:55 Sergei Trofimovich
2020-07-20 12:24 Sam James
2020-01-02 21:44 Sebastian Pipping
2019-12-11 17:09 Alexys Jacob
2019-12-11 17:09 Alexys Jacob
2019-12-11 17:09 Alexys Jacob
2017-06-19 16:33 Alexis Ballier
2017-04-30 9:05 Jeroen Roovers
2017-04-28 12:52 Agostino Sarubbo
2017-04-28 12:31 Agostino Sarubbo
2017-04-22 14:23 Alexys Jacob
2017-04-22 14:11 Alexys Jacob
2017-02-23 8:29 Michael Weber
2016-01-26 7:44 Alexys Jacob
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1714737219.6b77e756584b035aedf67e85070e578e245e05ea.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox